Subject: Re: Strange behavior with I2C on Sequoia board

From: Stefan Roese <[email-masked]>
Date: Thu, 21 Aug 2008 16:40:49 +0200

On Thursday 21 August 2008, Geert Uytterhoeven wrote:
> On Thu, 21 Aug 2008, Steven A. Falco wrote:
> > I would like to switch over to using a uImage rather than the
> > cuboot.uImage.
>
> Can you actually boot a plain uImage from U-Boot?

Sure. We did this all the time in arch/ppc. Now in arch/powerpc all you need 
is an device-tree enabled U-Boot version. This is standard for most targets 
since a few months.

> I've just gave it a try.  While arch/powerpc/boot/cuImage.sequoia boots
> fine,
>
> after `make uImage', I get arch/powerpc/boot/uImage, but it doesn't boot:
> | ## Booting image at 00100000 ...
> |    Image Name:   Linux-2.6.27-rc4-dirty
> |    Image Type:   PowerPC Linux Kernel Image (gzip compressed)
> |    Data Size:    1398827 Bytes =  1.3 MB
> |    Load Address: 00000000
> |    Entry Point:  00000000
> |    Verifying Checksum ... OK
> |    Uncompressing Kernel Image ... Error: inflate() returned -3
> | GUNZIP ERROR - must RESET board to recover

Try a higher load address for the kernel. 4MB is a good value.

> | U-Boot 1.2.0-gc0c292b2 (Jun  5 2007 - 07:16:12)

Ups. This is most likely too old and can't boot arch/powerpc uImage files.

Best regards,
Stefan

=====================================================================
DENX Software Engineering GmbH,     MD: Wolfgang Denk & Detlev Zundel
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: +49-8142-66989-0 Fax: +49-8142-66989-80  Email: [email-masked]
=====================================================================